import React, {Component} from 'react';
import {VList} from '../../common';
import {Tabs, WhiteSpace} from 'antd-mobile';
import './courselist.scss';

class Classify extends Component {
    constructor(props) {
        super(props)
        this.handleClick = this.handleClick.bind(this)
        this.ontabclick = this.ontabclick.bind(this)
    }

    handleClick() {
        console.log(1);
    }
    ontabclick(tab, index) {
        console.log(tab, index)
    }
    pulldown(){
        alert(2)
    }

    state = {
        mockData: [
            {
                title: '三月面试求职三月面试求职三月面试求职',
                imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
                contact: '学习到第2课2三月面试求职班三月面试求职班三月面试求职班分33秒6',
                time: '03月12日',
                record: '学习到第2课2三月面试求职班三月面试求职班三月面试求职班分33秒',
                isbuy: 1,
                price0: 100,
                price1: 100
            },
            {
                title: '三月面试求职班',
                imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
                contact: 'QQ群：449141326',
                time: '03月12日',
                record: '学习到第2课2分33秒',
                isbuy: 0,
                price0: 100,
                price1: 100
            },
            {
                title: '三月面试求职班',
                imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
                contact: 'QQ群：449141326',
                time: '03月12日',
                record: '学习到第2课2分33秒',
                isbuy: 0,
                price0: 100,
                price1: 100
            },
            {
                title: '三月面试求职班',
                imgUrl: 'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/4c5ccac604.jpg',
                contact: 'QQ群：449141326',
                time: '03月12日',
                record: '学习到第2课2分33秒',
                isbuy: 0,
                price0: 100,
                price1: 100
            },
        ],
        dataList: [
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': 'Spark大数据',
                'teacher': 'wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '机器学习',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': 'Linux',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '数学',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 1,
                'price0': 200,
                'price1': 2000
            }
        ]
    }

    render() {

        const tabs = [
            {title: '机器学习'},
            {title: '数学'},
            {title: 'Linux'},
            {title: '深度学习'},
            {title: '数据结构'},
            {title: 'Linux'},
            {title: '数据结构'},
            {title: '数学'},
        ];

        return (
            <div className='class-box'>
                <div>
                    <WhiteSpace/>
                    <i className={'iconfont iconiconfront-69 pull-down'} onClick={this.pulldown.bind(this)}></i>
                <Tabs
                        tabs={tabs}
                        animated={false}
                        onTabClick={(tab, index) => this.ontabclick(tab, index)}
                    >
                        <div className='tabs'>
                            <ul>
                                {this.state.mockData.map((item, index) => {
                                    const Info = (
                                        <div className="info">
                                            <p className='title'>{item.title}</p>
                                            <p className='contact text-overflow-2'>{item.contact}</p>
                                            <div className='des'>
                                                {item.isbuy === 0 && <p className="course-price">
                                                    <span className="new">¥{item.price0}</span>
                                                    <span className="old">¥{item.price1}</span>
                                                </p>
                                                }
                                                {item.isbuy === 1 &&
                                                <a href="/#" className="isbuy">已购买</a>
                                                }
                                            </div>
                                        </div>
                                    )
                                    return (
                                        <VList handleClick={this.handleClick} key={index} info={Info}></VList>
                                    )
                                })}
                            </ul>
                        </div>
                    </Tabs>
                    <WhiteSpace/>
                </div>
                <div className='mbc-box'>
                    <div className="tabcontent">
                        <div className="class-course">
                            <p className='course-items-title'>基础入门</p>
                            <div className='items-box'>
                                {
                                    this.state.dataList.map((item,index)=>{
                                        return (
                                            <a href="/#" key={index} className='item-label'>{item.title}</a>
                                        )
                                    })
                                }
                            </div>
                        </div>
                        <div className="class-course">
                            <p className='course-items-title'>进阶提高</p>
                            <div className='items-box'>
                                {
                                    this.state.dataList.map((item,index)=>{
                                        return (
                                            <a href="/#" key={index} className='item-label'>{item.title}</a>
                                        )
                                    })
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        )
    }

}

export default Classify;
